summarylogtreecommitdiffstats
diff options
context:
space:
mode:
authorVaporeon2015-09-05 10:44:45 +1200
committerVaporeon2015-09-05 10:44:45 +1200
commitcc81779e8d95273fb08b4513da03548de863a496 (patch)
tree233fbf9b0c471e9aa3854417b0969017584d9f25
downloadaur-cc81779e8d95273fb08b4513da03548de863a496.tar.gz
Initial Commit
-rw-r--r--.SRCINFO35
-rw-r--r--PKGBUILD56
-rw-r--r--revert-warn-glib-compile-schemas.patch33
3 files changed, 124 insertions, 0 deletions
diff --git a/.SRCINFO b/.SRCINFO
new file mode 100644
index 00000000000..65aff111c01
--- /dev/null
+++ b/.SRCINFO
@@ -0,0 +1,35 @@
+# Generated by makepkg 4.2.1
+# Fri Sep 4 22:42:45 UTC 2015
+pkgbase = glib2-patched-thumbnailer
+ pkgdesc = GLib2 patched with ahodesuka's thumbnailer patch.
+ pkgver = 2.44.1
+ pkgrel = 1
+ url = http://gist.github.com/ahodesuka/49c1d0eea4b64f24c4c7
+ arch = i686
+ arch = x86_64
+ license = LGPL
+ makedepends = pkg-config
+ makedepends = python2
+ makedepends = libxslt
+ makedepends = docbook-xml
+ makedepends = pcre
+ makedepends = libffi
+ makedepends = elfutils
+ depends = pcre
+ depends = libffi
+ depends = tumbler
+ optdepends = python2: for gdbus-codegen and gtester-report
+ optdepends = elfutils: gresource inspection tool
+ provides = glib2
+ conflicts = glib2
+ options = !docs
+ options = !emptydirs
+ source = http://ftp.gnome.org/pub/GNOME/sources/glib/2.44/glib-2.44.1.tar.xz
+ source = revert-warn-glib-compile-schemas.patch
+ source = https://gist.githubusercontent.com/ahodesuka/49c1d0eea4b64f24c4c7/raw/d0edf118e1c27700300038c1d82b3ff775c0216b/glib-thumbnailer.patch
+ sha256sums = 8811deacaf8a503d0a9b701777ea079ca6a4277be10e3d730d2112735d5eca07
+ sha256sums = 049240975cd2f1c88fbe7deb28af14d4ec7d2640495f7ca8980d873bb710cc97
+ sha256sums = 1a4673380fbdf8e8e5de3367089de6c97025633e54010575de63c5ab6c8a044d
+
+pkgname = glib2-patched-thumbnailer
+
diff --git a/PKGBUILD b/PKGBUILD
new file mode 100644
index 00000000000..da88bdd76ae
--- /dev/null
+++ b/PKGBUILD
@@ -0,0 +1,56 @@
+# Maintainer: Vaporeon <vaporeon@tfwno.gf>
+# Contributor: Jan de Groot <jgc@archlinux.org>
+
+pkgbase=glib2-patched-thumbnailer
+pkgname=glib2-patched-thumbnailer
+pkgver=2.44.1
+pkgrel=1
+pkgdesc="GLib2 patched with ahodesuka's thumbnailer patch."
+url="http://gist.github.com/ahodesuka/49c1d0eea4b64f24c4c7"
+arch=(i686 x86_64)
+provides=(glib2)
+conflicts=(glib2)
+makedepends=('pkg-config' 'python2' 'libxslt' 'docbook-xml' 'pcre' 'libffi' 'elfutils')
+depends=('pcre' 'libffi' 'tumbler')
+optdepends=('python2: for gdbus-codegen and gtester-report'
+ 'elfutils: gresource inspection tool')
+options=('!docs' '!emptydirs')
+license=('LGPL')
+source=(http://ftp.gnome.org/pub/GNOME/sources/glib/${pkgver:0:4}/glib-$pkgver.tar.xz
+ revert-warn-glib-compile-schemas.patch
+ https://gist.githubusercontent.com/ahodesuka/49c1d0eea4b64f24c4c7/raw/d0edf118e1c27700300038c1d82b3ff775c0216b/glib-thumbnailer.patch)
+sha256sums=('8811deacaf8a503d0a9b701777ea079ca6a4277be10e3d730d2112735d5eca07'
+ '049240975cd2f1c88fbe7deb28af14d4ec7d2640495f7ca8980d873bb710cc97'
+ '1a4673380fbdf8e8e5de3367089de6c97025633e54010575de63c5ab6c8a044d')
+
+prepare() {
+ cd glib-$pkgver
+ patch -Rp1 -i ../revert-warn-glib-compile-schemas.patch
+ patch -Np1 -i ${srcdir}/glib-thumbnailer.patch
+}
+
+build() {
+ cd glib-$pkgver
+ PYTHON=/usr/bin/python2 ./configure --prefix=/usr --libdir=/usr/lib \
+ --sysconfdir=/etc \
+ --with-pcre=system \
+ --disable-fam
+ make
+}
+
+check() {
+ cd glib-$pkgver
+ #make -k check || :
+}
+
+package() {
+ cd glib-$pkgver
+ make completiondir=/usr/share/bash-completion/completions DESTDIR="$pkgdir" install
+
+ for _i in "$pkgdir/usr/share/bash-completion/completions/"*; do
+ chmod -x "$_i"
+ done
+
+ # Our gdb does not ship the required python modules, so remove it
+ rm -rf "$pkgdir/usr/share/gdb/"
+}
diff --git a/revert-warn-glib-compile-schemas.patch b/revert-warn-glib-compile-schemas.patch
new file mode 100644
index 00000000000..75b05103cd0
--- /dev/null
+++ b/revert-warn-glib-compile-schemas.patch
@@ -0,0 +1,33 @@
+From 6560b37450cd19c4a7c7b690e279fe97b7bfdcaa Mon Sep 17 00:00:00 2001
+From: Ryan Lortie <desrt@desrt.ca>
+Date: Thu, 12 Apr 2012 23:55:34 +0000
+Subject: glib-compile-schemas: warn about bad dconf paths
+
+For quite some time the recommended usage of GSettings and dconf has
+been to use paths like /org/gnome/example/. Use of /apps/ has spilled
+over from GConf and is continuing to make its way into a number of
+applications as they port.
+
+glib-compile-schemas will now warn about these types of paths being
+used. This generates a lot of noise, but hopefully it will reduce the
+number of ported applications making this mistake.
+---
+diff --git a/gio/glib-compile-schemas.c b/gio/glib-compile-schemas.c
+index cf02389..27d0181 100644
+--- a/gio/glib-compile-schemas.c
++++ b/gio/glib-compile-schemas.c
+@@ -1204,6 +1204,12 @@ parse_state_start_schema (ParseState *state,
+ return;
+ }
+
++ if (path && (g_str_has_prefix (path, "/apps/") ||
++ g_str_has_prefix (path, "/desktop/") ||
++ g_str_has_prefix (path, "/system/")))
++ g_printerr ("warning: Schema '%s' has path '%s'. Paths starting with "
++ "'/apps/', '/desktop/' or '/system/' are deprecated.\n", id, path);
++
+ state->schema_state = schema_state_new (path, gettext_domain,
+ extends, extends_name, list_of);
+
+--
+cgit v0.9.0.2